aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/caldav/hooks/post-sync
diff options
context:
space:
mode:
authorLukas Fleischer <lfleischer@calcurse.org>2016-02-07 13:29:17 +0100
committerLukas Fleischer <lfleischer@calcurse.org>2016-02-07 13:29:44 +0100
commite5ba06ff5d13b40cd840afe83ec63e38fa11c3c2 (patch)
tree125899a60cabd243657834c685ea319feb62bf37 /contrib/caldav/hooks/post-sync
parente40646d30f71bde50ae1d8b6e10262d760efe5de (diff)
downloadcalcurse-e5ba06ff5d13b40cd840afe83ec63e38fa11c3c2.tar.gz
calcurse-e5ba06ff5d13b40cd840afe83ec63e38fa11c3c2.zip
calcurse-caldav: Add hook support
Introduce pre-sync and post-sync hooks which need to be located under ~/.calcurse/caldav/hooks/ and are executed before/after synchronization with a CalDAV server. Also, add an example post-sync hook and change the example post-save hook such that it does not create tiny commits during synchronization. Signed-off-by: Lukas Fleischer <lfleischer@calcurse.org>
Diffstat (limited to 'contrib/caldav/hooks/post-sync')
-rwxr-xr-xcontrib/caldav/hooks/post-sync12
1 files changed, 12 insertions, 0 deletions
diff --git a/contrib/caldav/hooks/post-sync b/contrib/caldav/hooks/post-sync
new file mode 100755
index 0000000..94b6ed3
--- /dev/null
+++ b/contrib/caldav/hooks/post-sync
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+# Copy this file into ~/.calcurse/caldav/hooks/ and mark it executable to
+# automatically commit changes after syncing using Git.
+
+cd "$HOME"/.calcurse/
+
+git add *
+if ! git diff-index --quiet --cached HEAD; then
+ git commit -m "Automatic commit by the post-sync hook"
+fi
+